## kf6-kdeclarative 6.23.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.27)

set(KF_VERSION "6.23.0") # handled by release scripts
set(KF_DEP_VERSION "6.23.0") # handled by release scripts
set(REQUIRED_QT_VERSION 6.8.0)
project(KDeclarative VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 6.23.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(CMakePackageConfigHelpers)
include(ECMGenerateQDoc)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)


if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(KF6GlobalAccel ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

if (NOT ANDROID)
  find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
endif()

configure_file(config-kdeclarative.h.in ${CMAKE_BINARY_DIR}/config-kdeclarative.h)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXAMPLES "Build and install examples." OFF)

# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  SOVERSION 6)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
ecm_set_disabled_deprecation_versions(
    QT 6.11.0
    KF 6.21.0
)

ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Declarative")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6DeclarativeTargets.cmake
  NAMESPACE KF6::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative"
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kdeclarative (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:07 +0100

=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6globalaccel-dev (>= 6.23.0~),
               libkf6guiaddons-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6widgetsaddons-dev (>= 6.23.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git

Package: libkf6calendarevents6
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the translation files.

Package: libkf6declarative-dev
Section: libdevel
Architecture: any
Depends: libkf6calendarevents6 (= ${binary:Version}),
         qml6-module-org-kde-draganddrop (= ${binary:Version}),
         qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
         qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 Contains development files for kdeclarative.

Package: libkf6declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the qch documentation files.
Section: doc

Package: qml6-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml6-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

Package: qml6-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.
